{
    "type": "minecraft:add",
    "argument1": {
        "type": "minecraft:mul",
        "argument1": 4.0,
        "argument2": {
            "type": "minecraft:quarter_negative",
            "argument": {
                "type": "minecraft:mul",
                "argument1": {
                    "type": "minecraft:add",
                    "argument1": "minecraft:nether/depth",
                    "argument2": {
                        "type": "minecraft:mul",
                        "argument1": "minecraft:nether/jaggedness",
                        "argument2": {
                            "type": "minecraft:half_negative",
                            "argument": {
                                "type": "minecraft:noise",
                                "noise": "minecraft:jagged",
                                "xz_scale": 142.5,
                                "y_scale": 1.425
                            }
                        }
                    }
                },
                "argument2": "minecraft:nether/factor"
            }
        }
    },
    "argument2": "minecraft:nether/base_3d_noise"
}